Boost.Locale: boost::locale::date_time_period Struct Reference

| Boost.Locale

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
boost::locale::date_time_period Struct Reference
Date, Time, Timezone and Calendar manipulations

This class represents a pair of period_type and the integer values that describes its amount. For example 3 days or 4 years. More...

`#include <boost/locale/date_time.hpp>`

## Public Member Functions
date_time_period | operator+ () const
date_time_period | operator- () const
| date_time_period (period::period_type f=period::period_type(), int v=1)

## Public Attributes
period::period_type | type
| The type of period, i.e. era, year, day etc.
int | value

## Detailed Description

This class represents a pair of period_type and the integer values that describes its amount. For example 3 days or 4 years.

Usually obtained as product of period_type and integer or my calling a representative functions For example day()*3 == date_time_period(day(),3) == day(3)

## Constructor & Destructor Documentation

boost::locale::date_time_period::date_time_period | ( | period::period_type | f = `period::period_type()`,
|  | int | v = `1`
| ) |  |
| inline

Constructor that creates date_time_period from period_type f and a value v – default 1.

## Member Function Documentation

date_time_period boost::locale::date_time_period::operator+ | ( |  | ) | const
| inline

Operator + returns copy of itself

date_time_period boost::locale::date_time_period::operator- | ( |  | ) | const
| inline

Operator -, switches the sign of period

## Member Data Documentation

int boost::locale::date_time_period::value

The value the actual number of periods

The documentation for this struct was generated from the following file:

- boost/locale/date_time.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.